import React from 'react';

export function ContentBlock({file}:{file: string}) {
    const [isVisible, setVisible] = React.useState(false);
    const domRef = React.useRef(null)!;
    React.useEffect(() => {
      const observer = new IntersectionObserver(entries => {
        entries.forEach(entry => setVisible(entry.isIntersecting));
      });
      observer.observe(domRef.current!);
    }, []);
    

    return(
        <div className={`content-block${isVisible ? 'is-visible' : ''}`}
        ref={domRef}>
            {
                <img src={file}></img>
            }
        </div>
    );
}